Skip to main content
GET
/
organizations
/
{organizationId}
/
service-accounts
/
{serviceAccountId}
Get Service Account
curl --request GET \
  --url https://{regionAndDomain}.com/api/app/organizations/{organizationId}/service-accounts/{serviceAccountId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": 123,
  "username": "<string>",
  "last_used": "2023-11-07T05:31:56Z",
  "expires": "2023-11-07T05:31:56Z",
  "creator": 123,
  "created": "2023-11-07T05:31:56Z",
  "user": 123
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

organizationId
integer
required

Your organization id (eg: 12345)

serviceAccountId
integer
required

The id of an existing Service Account

Response

successful operation

id
integer

The unique identifier for this service account

username
string

The username of the service account

last_used
string<date-time>

The date/time this service account was last used for authentication

expires
string<date-time>

The date/time this service account will expire

creator
integer

The Mixpanel user id that created this service account

created
string<date-time>

The date/time this service account was created

user
integer

The Mixpanel user id that this serivce account represents. This is only used internally and is safe to ignore.